# $Revision: 1.30 $, $Date: 2011/10/11 08:58:07 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	Nilsimsa
Summary:	Digest::Nilsimsa - Perl version of nilsimsa code
Summary(pl.UTF-8):	Digest::Nilsimsa - wersja perlowa kodu nilsimsa
Name:		perl-Digest-Nilsimsa
Version:	0.06
Release:	10
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	08e940bd7f5d1167ef3fd1aa7ce234d7
URL:		http://search.cpan.org/dist/Digest-Nilsimsa/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A nilsimsa signature is a statistic of n-gram occurance in a piece of
text. It is a 256 bit value usually represented in hex. This module is
a wrapper around nilsimsa implementation in C by cmeclax.

%description -l pl.UTF-8
Sygnatura nilsimsa to statystyka występowania n-gramów w danym
tekście. Jest to 256-bitowa liczba, przeważnie reprezentowana
szesnastkowo. Moduł jest nakładką na implementację w C, której
autorem jest cmeclax.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Digest/*.pm
%dir %{perl_vendorarch}/auto/Digest/Nilsimsa
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/Nilsimsa/*.so
%{perl_vendorarch}/auto/Digest/Nilsimsa/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-Nilsimsa.spec,v $
Revision 1.30  2011/10/11 08:58:07  lisu
- rel 10

Revision 1.29  2010/11/12 23:38:26  pawelz
- release 9

Revision 1.28  2010/06/06 08:35:28  arekm
- release 8

Revision 1.27  2009/03/13 16:33:05  hawk
- release 7

Revision 1.26  2008/03/23 21:58:03  qboosh
- generic URL

Revision 1.25  2008-02-10 12:08:45  arekm
- rel 6

Revision 1.24  2008-01-31 22:04:20  glen
- rel 5

Revision 1.23  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.22  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.20  2004/11/03 22:30:19  paladine
- formatting

Revision 1.19  2004/10/24 14:39:05  paladine
- spelling fix

Revision 1.18  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/07 00:38:11  ankry
- rel. 4

Revision 1.16  2004/05/06 17:56:59  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 00:50:54  ankry
- cosmetics: unification

Revision 1.14  2004/04/22 20:42:11  ankry
- bconds added

Revision 1.13  2004/04/20 07:04:19  ankry
- better summary/description, license fixes and unification

Revision 1.12  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.11  2003/12/29 14:55:30  undefine
- release 3 to rebuild with ac

Revision 1.10  2003/08/18 08:08:44  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/03/01 18:05:43  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/28 10:08:20  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:31:48  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/07/22 11:07:12  ankry
- pl translation fixes
- don't use macros in Name: it decreases readability
- Changes does not exist

Revision 1.2  2002/07/21 22:31:00  qboosh
- it can't be noarch!
- pl description, cosmetics

Revision 1.1  2002/07/21 14:36:22  radek
- new, STBR
